## python-pcl 0.3.0~rc1+dfsg

=== Makefile ===
all: pcl/_pcl.so pcl/registration.so

pcl/_pcl.so: pcl/_pcl.pxd pcl/_pcl.pyx setup.py pcl/pcl_defs.pxd \
             pcl/minipcl.cpp pcl/indexing.hpp
	python setup.py build_ext --inplace

pcl/registration.so: setup.py pcl/_pcl.pxd pcl/pcl_defs.pxd \
                      pcl/registration.pyx
	python setup.py build_ext --inplace

test: pcl/_pcl.so tests/test.py
	nosetests -s

clean:
	rm -rf build
	rm -f pcl/_pcl.cpp pcl/_pcl.so pcl/registration.so

doc: pcl.so conf.py readme.rst
	sphinx-build -b singlehtml -d build/doctrees . build/html

showdoc: doc
	gvfs-open build/html/readme.html

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
SPHINXOPTS    = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) source

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	find source -type d -name generated -print0 | xargs -0 rm -rf

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-pcl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-pcl.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-pcl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-pcl"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."


spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

=== docs/requirements.txt ===
Cython==0.25.2

## python-pcl 0.3.0~rc1%2Bdfsg

=== debian/changelog ===
python-pcl (0.3.0~rc1+dfsg-8build3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:21:21 +0100

python-pcl (0.3.0~rc1+dfsg-8build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:25:52 +0100

python-pcl (0.3.0~rc1+dfsg-8build1) focal; urgency=medium

  * Rebuild against new pcl 1.10.0+dfsg.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 02 Feb 2020 06:21:00 +0100

python-pcl (0.3.0~rc1+dfsg-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Jochen Sprickerhof ]
  * Add support for PCL 1.10
  * Commit Debian 3.0 (quilt) metadata
  * bump policy and debhelper versions (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 27 Jan 2020 11:06:15 +0100

python-pcl (0.3.0~rc1+dfsg-7) unstable; urgency=medium

  * Revert "Fix vtk include path"
  * Depend on new PCL (due to new VTK include path)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 19 Dec 2018 11:42:57 +0100

python-pcl (0.3.0~rc1+dfsg-6) unstable; urgency=medium

  * Fix vtk include path

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Dec 2018 21:16:28 +0100

python-pcl (0.3.0~rc1+dfsg-5) unstable; urgency=medium

  * Update Maintainer/Uploaders
  * Enable visualization module
  * Remove ConditionalRemoval API and add deprecation notice
  * Add support for PCL 1.9

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Dec 2018 07:32:44 +0100

python-pcl (0.3.0~rc1+dfsg-4) unstable; urgency=medium

  * Add support for multiple Python versions.
    Thanks to themill

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Oct 2018 19:04:37 +0200

python-pcl (0.3.0~rc1+dfsg-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix FTBFS on most 32bit architectures

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 02 Oct 2018 07:47:51 +0200

python-pcl (0.3.0~rc1+dfsg-2) unstable; urgency=medium

  * Add comments about copyright references in the package (Closes: #909785)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Sep 2018 09:04:56 +0200

python-pcl (0.3.0~rc1+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #909221

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Sep 2018 18:58:55 +0200

=== debian/control ===
Source: python-pcl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev, cython3, libpcl-dev (>=1.9.1), python3-numpy, python3-setuptools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://strawlab.github.io/python-pcl/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pcl.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pcl
Testsuite: autopkgtest-pkg-python

Package: python3-pcl
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 binding to the Pointcloud library (PCL)
 The following parts of the API are wrapped (all methods operate on PointXYZ)
 point types:
  - I/O and integration; saving and loading PCD files
  - segmentation
  - SAC
  - smoothing
  - filtering
  - registration (ICP, GICP, ICP_NL)
 .
 This package installs the library for Python 3.

## python-pcl 0.3.0~rc1+dfsg

=== debian/changelog ===
python-pcl (0.3.0~rc1+dfsg-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jochen Sprickerhof ]
  * Use PCL 1.11 API
  * bump debhelper version
  * Commit Debian 3.0 (quilt) metadata

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Jul 2020 06:27:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-pcl
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev, cython3, libpcl-dev (>=1.9.1), python3-numpy, python3-setuptools,
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all-dev, cython3, libpcl-dev (>=1.11), python3-numpy, python3-setuptools,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://strawlab.github.io/python-pcl/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-pcl-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/strawlab/python-pcl/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
